Skip to content

Developers · Raw Markdown

REST quickstart

OpenAPI: https://api.breezewish.com/openapi.json

curl https://api.breezewish.com/v1/platform
curl https://api.breezewish.com/v1/categories
curl -X POST https://api.breezewish.com/v1/requests \
  -H "authorization: Bearer $TOKEN" \
  -H "content-type: application/json" \
  -d '{"title":"8 H200 GPUs for 4 weeks in the US","categoryText":"compute.gpu.reserved_cluster","quantity":{"value":8,"unit":"gpu"}}'
curl -X POST https://api.breezewish.com/v1/requests/$ID/publish \
  -H "authorization: Bearer $TOKEN" \
  -H "idempotency-key: publish-$ID"
curl https://api.breezewish.com/v1/opportunities -H "authorization: Bearer $TOKEN"
curl -X POST https://api.breezewish.com/v1/opportunities/$OPPORTUNITY_ID/offers \
  -H "authorization: Bearer $TOKEN" \
  -H "content-type: application/json" \
  -d '{"amountMinor":12800000,"currency":"USD"}'

The reference is the OpenAPI document, generated from the running API.